SYSTEM(3)

NAME
system - pass a command to the shell

SYNOPSIS
#include <stdlib.h>
int
system(const char *string);

DESCRIPTION
The system() function hands the argument string to the command interpreter sh(1). The calling process waits for the shell to finish executing the command, ignoring SIGINT and SIGQUIT, and blocking SIGCHLD.

If string is a NULL pointer, system() will return non-zero if the command interpreter sh(1) is available, and zero if it is not.

The system() function returns the exit status of the shell, or -1 if the wait(2) for the shell failed. A return value of 127 means the execution of the shell failed.

SEE ALSO
sh(1), execve(2), wait(2), popen(3)

STANDARDS
The system() function conforms to ansiC.